Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportSave

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportSave

All Implemented Interfaces:
  Command

    public class ReportSave

extends Object
implements Command

Field Summary
`static String` `SAVE`
`static String` `SAVE_ALL_AS`
`static String` `SAVE_AS`

Constructor Summary
`ReportSave()` Constructor for the Save object.

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Save object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAVE_ALL_AS

    public static final String SAVE_ALL_AS

See Also:
  Constant Field Values

### SAVE_AS

    public static final String SAVE_AS

See Also:
  Constant Field Values

### SAVE

    public static final String SAVE

See Also:
  Constant Field Values

Constructor Detail

### ReportSave

    public ReportSave()

  Constructor for the Save object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Save object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)
                  throws IllegalUserActionException

  Specified by:
    `doAction` in interface `Command`
  Throws:
    `IllegalUserActionException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.